Home

# Class goog.net.IframeLoadMonitor

The correct way to determine whether an iframe has completed loading is different in IE and Firefox. This class abstracts above these differences, providing a consistent interface for:

1. Determing if an iframe is currently loaded
2. Listening for an iframe that is not currently loaded, to finish loading

extends goog.events.EventTarget

Instance Method Summary

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getIframe() ⇒ ?HTMLIFrameElement` Returns the iframe whose load state this IframeLoader monitors.
| `handleLoad_()` Handles an event indicating that the loading status of the iframe has changed. In Firefox this is a goog.events.EventType.LOAD event, in IE this is a goog.events.EventType.READYSTATECHANGED
| `isLoaded() ⇒ boolean` Returns whether or not the iframe is loaded.
| `isLoadedHelper_() ⇒ boolean` Returns whether or not the iframe is loaded. Determines this by inspecting browser dependent properties of the iframe.
| `maybeStopTimer_()` Stops the poll timer if this IframeLoadMonitor is currently polling.